Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[Fixed] : Virtualbox 4.2.0 ebuild - module version conflict
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Unsupported Software
View previous topic :: View next topic  
Author Message
lyallp
Veteran
Veteran


Joined: 15 Jul 2004
Posts: 1263
Location: Adelaide/Australia

PostPosted: Fri Sep 14, 2012 4:13 am    Post subject: [Fixed] : Virtualbox 4.2.0 ebuild - module version conflict Reply with quote

It installed, I re-loaded the kernel modules, but there is something wrong.

VM's won't start because it seems to think the kernel is running modules 4.1, not 4.2

In desperation, I even tried rebooting.

I ended up masking 4.2.0 (it's already ~amd64)
_________________
...Lyall


Last edited by lyallp on Fri Sep 14, 2012 10:41 am; edited 2 times in total
Back to top
View user's profile Send private message
DawgG
l33t
l33t


Joined: 17 Sep 2003
Posts: 605

PostPosted: Fri Sep 14, 2012 8:22 am    Post subject: app-emulation/virtualbox-modules? Reply with quote

maybe you have forgotten to emerge app-emulation/virtualbox-modules?
i use virtualbox-bin and the corresponding modules always have to emerged separately. also you mgiht have to check the kernel-version and the /usr/src/linux-symlink
GOOD LUCK!
_________________
DUMM KLICKT GUT.
Back to top
View user's profile Send private message
Polynomial-C
Developer
Developer


Joined: 01 Jun 2003
Posts: 1391
Location: germany

PostPosted: Fri Sep 14, 2012 8:27 am    Post subject: Reply with quote

This is bug 434958 which has already been fixed.
_________________
The manual said "Requires Windows7 or better" so I installed GNU/Linux...

my portage overlay

Need a stage1 tarball? (Unofficial builds)
Back to top
View user's profile Send private message
lyallp
Veteran
Veteran


Joined: 15 Jul 2004
Posts: 1263
Location: Adelaide/Australia

PostPosted: Fri Sep 14, 2012 10:40 am    Post subject: Reply with quote

Thanks, I notice the 4.2.0-r1, quick work.

When I get back to the affected computer, I will have to change my mask, as I masked virtualbox, not virtualbox-modules.

:)
_________________
...Lyall
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Unsupported Software All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum